質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.12%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

pip

pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

解決済

from tsukuyomichan_talksoft import TsukuyomichanTalksoft のエラー

__python.c__
__python.c__

総合スコア27

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

pip

pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

1回答

0リアクション

0クリップ

441閲覧

投稿2022/08/17 06:59

編集2022/08/19 05:29

前提

shirowanisan氏が公開しているシロワニさんのつくよみちゃんトークソフトを用いるために
pip3 install git+"link名"でダウンロードしようとし失敗したので、requirements.txtの中身を改変し、pip3 install .でinstallしました。

before

requirements.txt

espnet==0.10.0 parallel_wavegan==0.4.8 pyopenjtalk==0.1.3 simpleaudio==1.0.4 gdown

after

requirements.txt

sentencepiece==0.1.97 espnet==202207 parallel_wavegan==0.4.8 pyopenjtalk==0.1.0 simpleaudio==1.0.4 pyworld==0.2.12 gdown

シロワニさんのつくよみちゃんトークソフト:https://github.com/shirowanisan/tsukuyomichan-talksoft

発生している問題・エラーメッセージ

python3

from tsukuyomichan_talksoft import TsukuyomichanTalksoft

このソースコードを実行すると、下記のエラーが起こります。

terminal

[nltk_data] Error loading averaged_perceptron_tagger: <urlopen error [nltk_data] [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify [nltk_data] failed: unable to get local issuer certificate [nltk_data] (_ssl.c:997)> [nltk_data] Error loading cmudict: <urlopen error [SSL: [nltk_data] CERTIFICATE_VERIFY_FAILED] certificate verify failed: [nltk_data] unable to get local issuer certificate (_ssl.c:997)> Traceback (most recent call last): File "__init__.pxd", line 1035, in numpy.import_array RuntimeError: module compiled against API version 0x10 but this version of numpy is 0xf During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<pyshell#0>", line 1, in <module> from tsukuyomichan_talksoft import TsukuyomichanTalksoft File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/tsukuyomichan_talksoft.py", line 3, in <module> from espnet2.bin.tts_inference import Text2Speech File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/bin/tts_inference.py", line 21, in <module> from espnet2.tasks.tts import TTSTask File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/tasks/tts.py", line 29, in <module> from espnet2.tts.feats_extract.dio import Dio File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/tts/feats_extract/dio.py", line 11, in <module> import pyworld File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pyworld/__init__.py", line 7, in <module> from .pyworld import * File "pyworld/pyworld.pyx", line 6, in init pyworld.pyworld File "__init__.pxd", line 1037, in numpy.import_array ImportError: numpy.core.multiarray failed to import

試したこと

・1~7行目のエラーについて 

python3

import ssl try: _create_unverified_https_context = ssl._create_unverified_context except AttributeError: pass else: ssl._create_default_https_context = _create_unverified_https_context

このようなソースコードを追加したら良いということが書いてありました。
これに従い、TsukuyomichanTalksoftの本体の、tsukuyomichan_talksoft.pyに追加しました。

tsukuyomichan_talksoft.py

import numpy as np import torch from espnet2.bin.tts_inference import Text2Speech from parallel_wavegan.utils import load_model import ssl #ここ from tts_config import TTSConfig class TsukuyomichanTalksoft: #ここから try: _create_unverified_https_context = ssl._create_unverified_context except AttributeError: pass else: ssl._create_default_https_context = _create_unverified_https_context #ここまで def __init__(self, model_version='v.1.2.0'): self.config: TTSConfig = TTSConfig.get_config_from_version(model_version) self.acoustic_model = self.get_acoustic_model() self.vocoder = self.get_vocoder() def get_acoustic_model(self): acoustic_model = Text2Speech( self.config.acoustic_model_config_path, self.config.acoustic_model_path, device=self.config.device, threshold=0.5, minlenratio=0.0, maxlenratio=10.0, use_att_constraint=False, backward_window=1, forward_window=3 ) acoustic_model.spc2wav = None return acoustic_model def get_vocoder(self): vocoder = load_model(self.config.vocoder_model_path).to(self.config.device).eval() vocoder.remove_weight_norm() return vocoder def generate_voice(self, text, seed): np.random.seed(seed) torch.manual_seed(seed) with torch.no_grad(): _, mel, mel_dnorm, *_ = self.acoustic_model(text) if self.config.use_vocoder_stats_flag: mel = self.config.scaler.transform(mel_dnorm.cpu()) wav = self.vocoder.inference(mel) wav = wav.view(-1).cpu().numpy() return wav

すると、一回目は上記と同じエラーが出るのですが、二回目以降は

terminal

Traceback (most recent call last): File "__init__.pxd", line 1035, in numpy.import_array RuntimeError: module compiled against API version 0x10 but this version of numpy is 0xf During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<pyshell#1>", line 1, in <module> from tsukuyomichan_talksoft import TsukuyomichanTalksoft File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/tsukuyomichan_talksoft.py", line 3, in <module> from espnet2.bin.tts_inference import Text2Speech File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/bin/tts_inference.py", line 21, in <module> from espnet2.tasks.tts import TTSTask File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/tasks/tts.py", line 29, in <module> from espnet2.tts.feats_extract.dio import Dio File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/tts/feats_extract/dio.py", line 11, in <module> import pyworld File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pyworld/__init__.py", line 7, in <module> from .pyworld import * File "pyworld/pyworld.pyx", line 6, in init pyworld.pyworld File "__init__.pxd", line 1037, in numpy.import_array ImportError: numpy.core.multiarray failed to import

というエラーが出ます。

参考:https://stackoverflow.com/questions/27750608/error-installing-nltk-supporting-packages-nltk-download

・8~10行目のエラーについて

参考:https://github.com/freqtrade/freqtrade/issues/4281

このページにはnumpyをupgradeすれば良いということが書いてありましたが、
upgradeしようとすると以下のエラーが出ます

terminal

Requirement already satisfied: NumPy in /Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages (1.22.0) Collecting NumPy Using cached numpy-1.23.2-cp310-cp310-macosx_11_0_arm64.whl (13.3 MB) Installing collected packages: NumPy Attempting uninstall: NumPy Found existing installation: numpy 1.22.0 Uninstalling numpy-1.22.0: ERROR: Could not install packages due to an OSError: Cannot move the non-empty directory '/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/numpy-1.22.0.dist-info/': Lacking write permission to '/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/numpy-1.22.0.dist-info/'.

・最後のエラーについて(29行目)
numpyのどこかがおかしいことがわかったのですが、詳しく理解することができませんでした。

補足情報(FW/ツールのバージョンなど)

macOS Monterey 12.5
MacBook Pro(16インチ、2021)
python 3.10.6
モジュール(質問に必要そうなものだけ):
numba 0.56.0
numpy 1.22.4
pip 22.2.2
tsukuyomichan-talksoft 0.0.1.dev1
espnet 202205

以下のような質問にはリアクションをつけましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

リアクションが多い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

jbpb0

2022/08/18 13:17 編集

> TsukuyomichanTalksoftの本体の、tsukuyomichan_talksoft.pyに追加すると、一回目は上記と同じエラーが出る 「tsukuyomichan_talksoft.py」のどこに追加しましたか? 「tsukuyomichan_talksoft.py」に追加するのではなく、コードの下記のすぐ上に追加するのでも、効果が有ると思います from tsukuyomichan_talksoft import TsukuyomichanTalksoft
jbpb0

2022/08/17 14:33 編集

> ERROR: Could not install packages due to an OSError: Cannot move the non-empty directory '/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/numpy-1.22.0.dist-info/': Lacking write permission to '/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/numpy-1.22.0.dist-info/'. pip3 install --upgrade numpy --user で、どうでしょうか? 参考 https://www.usamofu.com/entry/piperror https://stackoverflow.com/questions/68400031/pip-doesnt-require-root-user-to-install-but-requires-root-user-to-upgrade
__python.c__

2022/08/18 00:30

>「tsukuyomichan_talksoft.py」のどこに追加しましたか? ``` import numpy as np import torch from espnet2.bin.tts_inference import Text2Speech from parallel_wavegan.utils import load_model from tts_config import TTSConfig import ssl #ここと class TsukuyomichanTalksoft: try: #ここから _create_unverified_https_context = ssl._create_unverified_context except AttributeError: pass else: ssl._create_default_https_context = _create_unverified_https_context #ここまで def __init__(self, model_version='v.1.2.0'): self.config: TTSConfig = TTSConfig.get_config_from_version(model_version) self.acoustic_model = self.get_acoustic_model() self.vocoder = self.get_vocoder() def get_acoustic_model(self): acoustic_model = Text2Speech( self.config.acoustic_model_config_path, self.config.acoustic_model_path, device=self.config.device, threshold=0.5, minlenratio=0.0, maxlenratio=10.0, use_att_constraint=False, backward_window=1, forward_window=3 ) acoustic_model.spc2wav = None return acoustic_model def get_vocoder(self): vocoder = load_model(self.config.vocoder_model_path).to(self.config.device).eval() vocoder.remove_weight_norm() return vocoder def generate_voice(self, text, seed): np.random.seed(seed) torch.manual_seed(seed) with torch.no_grad(): _, mel, mel_dnorm, *_ = self.acoustic_model(text) if self.config.use_vocoder_stats_flag: mel = self.config.scaler.transform(mel_dnorm.cpu()) wav = self.vocoder.inference(mel) wav = wav.view(-1).cpu().numpy() return wav ```
__python.c__

2022/08/18 00:36

>pip3 install --upgrade numpy --user で、どうでしょうか? 途中でwarningとerrorが出ました。 ``` Requirement already satisfied: numpy in /Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages (1.22.0) Collecting numpy Using cached numpy-1.23.2-cp310-cp310-macosx_11_0_arm64.whl (13.3 MB) Installing collected packages: numpy WARNING: The scripts f2py, f2py3 and f2py3.10 are installed in '/Users/misa/Library/Python/3.10/bin' which is not on PATH. Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location. ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts. numba 0.56.0 requires numpy<1.23,>=1.18, but you have numpy 1.23.2 which is incompatible. Successfully installed numpy-1.23.2 ``` numbaもupgradeすれば良いのでしょうか?
jbpb0

2022/08/18 04:16

> Successfully installed numpy-1.23.2 numpyのバージョンアップはできたようです pythonで下記を実行したら、どうなりますか? from tsukuyomichan_talksoft import TsukuyomichanTalksoft
__python.c__

2022/08/18 04:20

Traceback (most recent call last): File "<pyshell#0>", line 1, in <module> from tsukuyomichan_talksoft import TsukuyomichanTalksoft File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/tsukuyomichan_talksoft.py", line 3, in <module> from espnet2.bin.tts_inference import Text2Speech File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/bin/tts_inference.py", line 20, in <module> from espnet2.gan_tts.vits import VITS File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/gan_tts/vits/__init__.py", line 1, in <module> from espnet2.gan_tts.vits.vits import VITS # NOQA File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/gan_tts/vits/vits.py", line 21, in <module> from espnet2.gan_tts.hifigan.loss import ( File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/gan_tts/hifigan/loss.py", line 15, in <module> from espnet2.tts.feats_extract.log_mel_fbank import LogMelFbank File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/tts/feats_extract/log_mel_fbank.py", line 7, in <module> from espnet2.layers.log_mel import LogMel File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/layers/log_mel.py", line 3, in <module> import librosa File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/librosa/__init__.py", line 209, in <module> from . import core File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/librosa/core/__init__.py", line 5, in <module> from .convert import * # pylint: disable=wildcard-import File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/librosa/core/convert.py", line 7, in <module> from . import notation File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/librosa/core/notation.py", line 8, in <module> from ..util.exceptions import ParameterError File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/librosa/util/__init__.py", line 77, in <module> from .utils import * # pylint: disable=wildcard-import File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/librosa/util/utils.py", line 9, in <module> import numba File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/numba/__init__.py", line 206, in <module> _ensure_critical_deps() File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/numba/__init__.py", line 146, in _ensure_critical_deps raise ImportError("Numba needs NumPy 1.22 or less") ImportError: Numba needs NumPy 1.22 or less このエラーが出ます
jbpb0

2022/08/18 04:43 編集

> numba 0.56.0 requires numpy<1.23,>=1.18, but you have numpy 1.23.2 which is incompatible. > ImportError: Numba needs NumPy 1.22 or less 現状numbaは0.56.0が最新なので、まだnumpy 1.23に対応してないようです https://pypi.org/project/numba/ numpyを1.22に戻したら、おそらくまた > RuntimeError: module compiled against API version 0x10 but this version of numpy is 0xf が出るので、このエラーの原因になってるもののバージョンをnumpy 1.22でも大丈夫なのに差し替える必要があると思います numpy 1.23.0 https://pypi.org/project/numpy/1.23.0/ のリリースがJun 23, 2022なので、それ以降にリリースされたものが怪しいです
__python.c__

2022/08/18 06:06

一旦numpyは1.22.4にしました
__python.c__

2022/08/18 06:15

>あるいは、「tsukuyomichan_talksoft.py」に追加するのではなく、コードの下記のすぐ上に追加するのでも、効果が有ると思います ```tsukuyomi.py import ssl try: _create_unverified_https_context = ssl._create_unverified_context except AttributeError: pass else: ssl._create_default_https_context = _create_unverified_https_context from tsukuyomichan_talksoft import TsukuyomichanTalksoft ``` これを実行すると、以下のエラーが出ました。 ``` [nltk_data] Downloading package averaged_perceptron_tagger to [nltk_data] /Users/ユーザー名/nltk_data... [nltk_data] Unzipping taggers/averaged_perceptron_tagger.zip. [nltk_data] Downloading package cmudict to /Users/ユーザー名/nltk_data... [nltk_data] Unzipping corpora/cmudict.zip. Traceback (most recent call last): File "__init__.pxd", line 1035, in numpy.import_array RuntimeError: module compiled against API version 0x10 but this version of numpy is 0xf During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/Users/ユーザー名/Documents/tsukuyomi.py", line 11, in <module> from tsukuyomichan_talksoft import TsukuyomichanTalksoft File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/tsukuyomichan_talksoft.py", line 3, in <module> from espnet2.bin.tts_inference import Text2Speech File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/bin/tts_inference.py", line 21, in <module> from espnet2.tasks.tts import TTSTask File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/tasks/tts.py", line 29, in <module> from espnet2.tts.feats_extract.dio import Dio File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/espnet2/tts/feats_extract/dio.py", line 11, in <module> import pyworld File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pyworld/__init__.py", line 7, in <module> from .pyworld import * File "pyworld/pyworld.pyx", line 6, in init pyworld.pyworld File "__init__.pxd", line 1037, in numpy.import_array ImportError: numpy.core.multiarray failed to import ``` 冒頭のエラーが変わりました
jbpb0

2022/08/18 13:43

requirements.txtの記載の中で、 sentencepiece==0.1.97 https://pypi.org/project/sentencepiece/0.1.97/ espnet==202207 https://pypi.org/project/espnet/202207/ gdown https://pypi.org/project/gdown/4.5.1/ が numpy 1.23.0 https://pypi.org/project/numpy/1.23.0/ よりも後にリリースされてるので、それらの内のどれかが > RuntimeError: module compiled against API version 0x10 but this version of numpy is 0xf の原因である可能性があります 原因になってるもののバージョンを古いのに差し替えたら、上記エラーは出なくなると思います リリースがJun 23, 2022よりも前のバージョンに差し替えて、エラーが出なくなるか確認してみてください
__python.c__

2022/08/19 06:06

エラーは変わりません モジュールのダウングレードで下記のエラーが出ますが、関係があるのでしょうか? ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts. tsukuyomichan-talksoft 0.0.1.dev1 requires espnet==202207, but you have espnet 202205 which is incompatible. tsukuyomichan-talksoft 0.0.1.dev1 requires sentencepiece==0.1.97, but you have sentencepiece 0.1.96 which is incompatible. Successfully installed sentencepiece-0.1.96
jbpb0

2022/08/22 03:07 編集

> モジュールのダウングレードで下記のエラーが出ます pip3 show tsukuyomichan_talksoft を実行した結果表示の「Location:」のパスに、「tsukuyomichan_talksoft-0.0.1.dev1.dist-info」みたいな名前のディレクトリがあって、その中に「METADATA」というファイルがあって、そのファイルに、インストール時に「requirements.txt」に書かれてたバージョンが記録されてるはずです pipはその情報が正しいと思ってるので、それとは違うバージョンを入れたら「which is incompatible」と言ってきますが、今回はインストール時に「requirements.txt」に書かれてたバージョンは質問者さんが決めたもので、そのバージョンじゃないとダメというわけではないと思うので、気にしなくてもいいと思います
jbpb0

2022/08/22 02:31 編集

当方のmacのpython 3.7.10(anaconda)でやってみましたが、質問に書かれてる現象が再現しないので、そちらで > RuntimeError: module compiled against API version 0x10 but this version of numpy is 0xf となってる原因は分かりません 当方のmacのanacondaで作った仮想環境に、質問に書かれてる手順そのままを行ったら、下記がインストールされました Successfully installed argcomplete-2.0.0 audioread-3.0.0 ci-sdr-0.0.0 configargparse-1.5.3 ctc-segmentation-1.7.1 distance-0.1.3 einops-0.4.1 espnet-202207 espnet-tts-frontend-0.0.3 fast-bss-eval-0.1.3 g2p-en-2.1.0 gdown-4.5.1 humanfriendly-10.0 inflect-6.0.0 jaconv-0.3 jamo-0.4.1 kaldiio-2.17.2 librosa-0.9.2 parallel-wavegan-0.4.8 pooch-1.6.0 pydantic-1.9.2 pyopenjtalk-0.1.0 pypinyin-0.44.0 pytorch-wpe-0.0.1 pyworld-0.2.12 resampy-0.4.0 sentencepiece-0.1.97 simpleaudio-1.0.4 soundfile-0.10.3.post1 tensorboardX-2.5.1 torch-1.12.1 torch-complex-0.4.3 tsukuyomichan-talksoft-0.0.1.dev1 typeguard-2.13.3 unidecode-1.3.4 xmltodict-0.13.0 yq-3.1.0 「requirements.txt」の内容は質問の「after」と同じです(バージョンも) なお、もともとnumpyは1.20.1が入ってて、インストール後もバージョンは変わりませんでした インストール後にpythonで from tsukuyomichan_talksoft import TsukuyomichanTalksoft を実行したら、下記のエラーが出て、pythonが落ちました OMP: Error #15: Initializing libiomp5.dylib, but found libomp.dylib already initialized. これは、当方のpython環境に起因するエラーだと思います そこで、ターミナルで export KMP_DUPLICATE_LIB_OK=TRUE を実行してからpythonを起動し、再び from tsukuyomichan_talksoft import TsukuyomichanTalksoft を実行したら、下記が表示されただけで、エラーは出ませんでした [nltk_data] Downloading package averaged_perceptron_tagger to [nltk_data] /Users/XXX/nltk_data... [nltk_data] Unzipping taggers/averaged_perceptron_tagger.zip. [nltk_data] Downloading package cmudict to /Users/XXX/nltk_data... [nltk_data] Unzipping corpora/cmudict.zip.
jbpb0

2022/08/22 03:15 編集

質問のエラーメッセージに > File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/site-packages/pyworld/__init__.py", line 7, in <module> from .pyworld import * File "pyworld/pyworld.pyx", line 6, in init pyworld.pyworld File "__init__.pxd", line 1037, in numpy.import_array とありますが、当方のmacで pip show pyworld の結果表示の「Location:」のパスの「pyworld」ディレクトリの中にあるファイルは、 __init__.py __pycache__/__init__.cpython-37.pyc pyworld.cpython-37m-darwin.so だけで、質問のエラーメッセージの「pyworld.pyx」と「__init__.pxd」はありません そちらの環境で、 pip3 show pyworld の結果表示の「Location:」のパスの「pyworld」ディレクトリの中に、 __init__.py __pycache__/__init__.cpython-数字.pyc pyworld.cpython-数字m-darwin.so は全部ありますでしょうか? また、上記以外のものが何かありませんでしょうか? もしかすると、 > pip3 install git+"link名"でダウンロードしようとし失敗した の時に余計なファイルが残っていて、それが邪魔してるのかもしれません 真っ新な環境を新たに作って、そこに > requirements.txtの中身を改変し、pip3 install .でinstallしました。 を行ってみたら、直るかもしれません (当方はそうやったらエラー出なかったので)
__python.c__

2022/08/26 12:11 編集

pip3 show pyworld の結果表示の「Location:」のパスの「pyworld」ディレクトリの中に、 __init__.cpython-数字.pyc がありませんでした。
jbpb0

2022/08/27 15:30 編集

> __init__.cpython-数字.pyc がありませんでした。 「__init__.cpython-数字.pyc」は、当方のmacでは「pyworld」ディレクトリにある「__pycache__」ディレクトリの中にありますが、正常に実行できた時に自動的に作られるファイルなので、質問者さんの環境ではエラーになってまだ一回も正常に実行できてないので、まだ作られてないのかもしれません それよりも、そちらのmacの「pyworld」ディレクトリに _init__.py __pycache__/__init__.cpython-数字.pyc pyworld.cpython-数字m-darwin.so 以外のものが何かありませんか? 当方のmacには、上記しかありません エラーメッセージを見ると、「pyworld.pyx」とか「__init__.pxd」とかが、そちらのmacの「pyworld」ディレクトリにありそうなのですが(「pyworld」ディレクトリ直下ではなく、そこにあるディレクトリの中にあるかも)、それらは当方のmacにはありません https://pypi.org/project/pyworld/0.2.12/#files を見ると、「Built Distributions」はwindows用しかないので、おそらくmacはインテルとm1でファイルに相違は無いと思います(当方のmacはインテル) もし、そちらのmacの「pyworld」ディレクトリに _init__.py __pycache__/__init__.cpython-数字.pyc pyworld.cpython-数字m-darwin.so 以外のものが何かあれば、それが邪魔してエラーが出てるのかもしれません 「pyworld」をアンインストールして、念の為に「pyworld」ディレクトリが残ってないか確認して、もし残ってたら完全に削除し、それから「pyworld」を再度インストールしたら、余分なファイルが消えて、エラーが出なくなるかもしれません
__python.c__

2022/08/28 03:49 編集

pyworldディレクトリに _init__.py __pycache__ pyworld.cpython-数字m-darwin.so 以外のものはありません。 一旦pyworld0.2.12を再インストールしましたが、エラーは変わりませんでした。 shirowanisan氏がtsukuyomichan_talksoft.pyを更新したのが12ヶ月前みたいなので、 その時点で最新であるpyworld 0.2.10をインストールするとTsukuyomichanTalksoftのimportに成功しました。 htttps://github.com/shirowanisan/tsukuyomichan-talksoft/ の tsukuyomichan_talksoft.py のところに12 months ago と書いてあったのでそう判断しました。
jbpb0

2022/08/28 04:49 編集

> 一旦pyworld0.2.12を再インストールしましたが、エラーは変わりませんでした。 変わらないということは、下記はその時も出たのですよね? > File "pyworld/pyworld.pyx", line 6, in init pyworld.pyworld File "__init__.pxd", line 1037, in numpy.import_array としたら、「pyworld/pyworld.pyx」や「__init__.pxd」は、その時にもそちらのmac内のどこかにあったわけですが、 > pyworldディレクトリに _init__.py __pycache__ pyworld.cpython-数字m-darwin.so 以外のものはありません。 から、それらは「pyworldディレクトリ」には無かったのですよね?? 「__init__.pxd」は違う場所にあってもおかしくないけど、「pyworld/pyworld.pyx」はファイル名からして「pyworldディレクトリ」以外にあるのは想像しにくいけど、謎です > pyworld 0.2.10をインストールするとTsukuyomichanTalksoftのimportに成功しました。 エラー出なくなったみたいなので、そのまま使うなら、そこ追求しなくてもいいですけど
jbpb0

2022/09/09 16:19

解決したのなら、ご自身で回答を書いて「自己解決」にしてください

まだ回答がついていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.12%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

pip

pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。